Back to the main site

Dcs 2.7.11.22211 - block on the first splashscreen with CPU full

Hi,

I tried to launch DCS World through Lutris and the original script.
I replaced the vulkanrt in the script by dxvk

All install succesfully but after … I don’t know. I’m blocked on the DCS World SplashScreen … the CPU is fulled but nothing appears.

Started initial process 93032 from gamemoderun /home/sebastien/.local/share/lutris/runners/wine/lutris-fshack-7.2-x86_64/bin/wine /home/sebastien/Games/dcs-world/drive_c/Program Files/Eagle Dynamics/DCS World/bin/DCS_updater.exe
Start monitoring process.
ERROR: ld.so: object 'libgamemodeauto.so.0' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS64): ignored.
ERROR: ld.so: object 'libgamemodeauto.so.0' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS64): ignored.
esync: up and running.
002c:fixme:winediag:LdrInitializeThunk Lutris Wine 7.2 is a testing version containing experimental patches.
002c:fixme:winediag:LdrInitializeThunk Please don't report bugs about it on winehq.org and use https://github.com/lutris/wine/issues instead.
002c:fixme:ver:GetCurrentPackageId (000000000021FEB0 0000000000000000): stub
010c:err:wldap32:DllMain No libldap support, expect problems
0110:fixme:kernelbase:AppPolicyGetThreadInitializationType FFFFFFFFFFFFFFFA, 000000000105FF50
0110:fixme:imm:ImeSetActiveContext (0x1160050, 1): stub
0110:fixme:imm:ImmReleaseContext (0000000000010078, 0000000001160050): stub
00c8:fixme:imm:ImeSetActiveContext (0x540210, 0): stub
00c8:fixme:imm:ImmReleaseContext (0000000000010020, 0000000000540210): stub
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"msctls_progress32"
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"Button"
010c:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4
010c:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4
0100:fixme:oleacc:find_class_data unhandled window class: L"#32770"
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"#32770"
010c:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12
010c:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12
0110:err:ole:CoUninitialize Mismatched CoUninitialize
010c:fixme:kernelbase:AppPolicyGetProcessTerminationMethod FFFFFFFFFFFFFFFA, 000000000011FEB0
Initial process has exited (return code: 0)
011c:err:wldap32:DllMain No libldap support, expect problems
011c:err:kerberos:kerberos_LsaApInitializePackage no Kerberos support, expect problems
0120:fixme:ver:GetCurrentPackageId (000000002CBEFF50 0000000000000000): stub
0124:fixme:ver:GetCurrentPackageId (000000002D10FF50 0000000000000000): stub
011c:fixme:ntdll:NtQuerySystemInformation info_class SYSTEM_PERFORMANCE_INFORMATION
011c:fixme:imm:ImeSetActiveContext (0x33a5d090, 1): stub
011c:fixme:imm:ImmReleaseContext (000000000003006A, 0000000033A5D090): stub
0100:fixme:oleacc:find_class_data unhandled window class: L"Button"
0100:fixme:oleacc:find_class_data unhandled window class: L"Button"
0100:fixme:oleacc:find_class_data unhandled window class: L"Button"
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"Button"
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"Static"
0100:fixme:oleacc:find_class_data unhandled window class: L"#32770"

An idea ? :smiley:

Is it the correct executable?
It says DCS_updater

Yep, it is a global launcher and after it, it launch DCS … and I saw the splash screen of the program … but nothing happens after it :confused:

Do you have libldap installed?